org.vishia.gral.swt

## Class SwtCanvasStorePanel

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralPanelContent.ImplAccess
    - - org.vishia.gral.swt.SwtPanel
      - - org.vishia.gral.swt.SwtCanvasStorePanel

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    SwtGridPanel

      public class SwtCanvasStorePanel
      extends SwtPanel

  Class to store some graphical figures to draw it in its `SwtCanvasStorePanel.SwtCanvas.drawBackground(GC, int, int, int, int)`-routine. The figures are stored with its coordinates and it are drawn if necessary.
  It can contain some GUI-Elements like Button, Text, Label, Table etc from org.eclipse.swt.widgets. The graphical figures are shown as background than.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SwtCanvasStorePanel.SwtCanvas` Implementation class for Canvas for Swt This class is a org.eclipse.swt.widgets.Composite.
    `static class` | `SwtCanvasStorePanel.SwtPolyLine`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.swt.graphics.Color` | `currColor`
    `private static long` | `serialVersionUID` The storage for the Canvas content.
    `protected SwtCanvasStorePanel.SwtCanvas` | `swtCanvas`

    - ### Fields inherited from class org.vishia.gral.swt.SwtPanel

      `itsTabSwt, panelComposite, resizeItemListener, version`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SwtCanvasStorePanel(GralPanelContent panelg)` Constructor called in derived classes.
    `` | `SwtCanvasStorePanel(GralPanelContent panelg, org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.swt.graphics.Color backGround, GralMng gralMng)` Constructs the instance with a SWT-Canvas Panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.widgets.Control` | `getWidgetImplementation()` Returns the implementation class of the widget.
    `boolean` | `setFocusGThread()` Sets the focus to the widget.
    `(package private) void` | `stop()`
    `void` | `xxxsetForeground(org.eclipse.swt.graphics.Color color)`

    - ### Methods inherited from class org.vishia.gral.swt.SwtPanel

      `getPixelPositionSize, getPixelSize, remove, removeWidgetImplementation, repaintGthread, setBoundsPixel, setVisibleGThread`

    - ### Methods inherited from class org.vishia.gral.base.GralPanelContent.ImplAccess

      `gralPanel`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swtCanvas

          protected SwtCanvasStorePanel.SwtCanvas swtCanvas

    - #### serialVersionUID

          private static final long serialVersionUID

      The storage for the Canvas content.
      See Also:
        Constant Field Values

    - #### currColor

          protected org.eclipse.swt.graphics.Color currColor

  - ### Constructor Detail

    - #### SwtCanvasStorePanel

          public SwtCanvasStorePanel(GralPanelContent panelg,
                                     org.eclipse.swt.widgets.Composite parent,
                                     int style,
                                     org.eclipse.swt.graphics.Color backGround,
                                     GralMng gralMng)

      Constructs the instance with a SWT-Canvas Panel.
      Parameters:
        `parent` -
        `style` -
        `backGround` -

    - #### SwtCanvasStorePanel

          protected SwtCanvasStorePanel(GralPanelContent panelg)

      Constructor called in derived classes. The derived class have to be instantiate the Canvas maybe with other draw routines.

  - ### Method Detail

    - #### xxxsetForeground

          public void xxxsetForeground(org.eclipse.swt.graphics.Color color)

    - #### getWidgetImplementation

          public org.eclipse.swt.widgets.Control getWidgetImplementation()

      Description copied from interface: `GralWidgImpl_ifc`
      Returns the implementation class of the widget. If the widget has more as one implementation widgets, this method returns one of the widgets, usual the first important one respectively that widget which represents the implementation layer. A widget of the implementation layer is a SWT.control or a `Component`.
      If more as one widget are part of the GralWidget, use the special `GralWidget._wdgImpl` class which should contain the references to that implementation widgets.
      Specified by:
        `getWidgetImplementation` in interface `GralWidgImpl_ifc`
      Overrides:
        `getWidgetImplementation` in class `SwtPanel`

    - #### setFocusGThread

          public boolean setFocusGThread()

      Description copied from interface: `GralWidgImpl_ifc`
      Sets the focus to the widget. See `GralMng_ifc#setFocus(GralWidget)`.
      Specified by:
        `setFocusGThread` in interface `GralWidgImpl_ifc`
      Overrides:
        `setFocusGThread` in class `SwtPanel`
      Returns:
        true if it has the focus after this operation. false on any error.

    - #### stop

          void stop()